请选择 进入手机版 | 继续访问电脑版
+发表新主题
qqhujunjie2000 发布于2022-6-26 23:36 715 次浏览 12 位用户参与讨论
跳转到指定楼层
这个用CAD怎么画  希望高手能教我下
有小程序也可以 谢谢好心人

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?立即注册

x
回复

使用道具 举报

已有12人评论

13703519542 发表于 2022-6-28 00:51:28
07以上的CAD画螺旋非常简单,只要用“螺旋”、“扫掠”二个命令便可绘制。
1.选取“螺旋”命令,根据你的螺旋导程、圈数、高度生成螺旋线.
2.根据你的螺旋截面形状(三角、梯形、方形等,你的附图看上去象“绞龙”,是长方形的)画一个域面。
3.选择“扫掠”命令,使域面沿螺旋线扫掠便可以了。
回复

使用道具 举报

tjt138 发表于 2022-6-28 12:27:03
以前在学校学过 现在全忘记了
回复

使用道具 举报

qqhujunjie2000 发表于 2022-6-28 17:44:21
13703519542 发表于 2022-06-28 00:51:28
07以上的CAD画螺旋非常简单,只要用“螺旋”、“扫掠”二个命令便可绘制。
1.选取“螺旋”命令,根据你的螺旋导程、圈数、高度生成螺...
不好意思啊,我是新手。可以说得更详细点吗?我不太会用扫掠这个命令。
回复

使用道具 举报

wudilaoda 发表于 2022-6-29 00:55:20
回楼主:我的文字表达能力较差,明天如果有时间的话给你做一个原文件,这样你一看就能知道是怎么样绘制的了。


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?立即注册

x
回复

使用道具 举报

13703519542 发表于 2022-6-29 08:05:25

很好的螺旋
回复

使用道具 举报

ls19831104 发表于 2022-6-30 09:17:52
嘿嘿谢谢其实我也没明白我按你的步骤试了没做出来 后来我被逼的用直线和圆画的看着是那回事了
回复

使用道具 举报

wjhongshanxi 发表于 2022-6-30 16:04:05
这是我找的一个程序你要明白给看下我弄了但在CAD里没有啊
我说的就是制作一个小程式LISP,按近似等分数将各点坐标用公式表示,在CAD中加载这个小程式,然后输入螺距、外径、内径等参数,利用数据化绘图,以下是我多年前编写的一个程式,语言不够简洁,但可用,你可以用记事本,将以下文字复制到记事本,保存,后缀名用.lsp 然后在CAD中加载(appload命令)该文件。试一下吧,我当时也是在制作螺旋时厌其烦才搞了这么一个小程式,螺旋叶片的展开图同时画出(近视画法),绘图时会提示等分数,最好取24、48、96……等,数越大越精确。
(defun c:lxyp() ;;;本程序将绘制出螺旋叶片的内外径在螺管上的一个节距的投影图.
(setq os(getvar"osmode")) ;;保存OSNAP系统变量值。
(setvar"osmode"0)  ;;关闭捕捉功能
(setq cen (getpoint"输入展开图中心:"))
(setq pp(getpoint"n输入绘图中心:"))
(setq dd (getdist"n请输入螺旋大径:"))
(setq dd1 (getdist"n请输入螺旋小径:"))
(setq tt(getdist"n请输入螺旋节距:"))
(setq n (getdist"n请输入等分数:"))
(setq rr (/ dd 2.0))  ;;;计算螺旋的外半径
(setq rr1 (/ dd1 2.0));;;计算螺旋的内半径
(setq tt1 (/ tt n))
(setq pp1 (list (car pp) (cadr pp)))
(setq p1 (list (car pp) (cadr pp)))
(setq inc (/ (* pi 2)n)) ;;;计算等分角度。
(setq pa (polar pp 0 rr1))
(setq pb (polar pa (/ pi 2.0) tt))
(setq pc (polar pp pirr1))
(setq pd (polar pc (/ pi 2.0) tt))
(setq a 0)
(while (< a ( + 1 n));;;循环语句连续绘制曲线。
(setq p0 (list (+ (car pp) (* (cos(* a inc)) rr)) (+ (cadr pp) (* tt1 a))))
(setq pp0 (list (+ (car pp) (* (cos( * a inc)) rr1)) (+ (cadr pp) (* tt1 a))))
(command "line"p1 p0 "")
(command "line" pp1 pp0 "")
(setq p1 (list (car p0) (cadr p0)))  ;;;重新指定初值重复绘制线段。
(setq pp1 (list (car pp0) (cadr pp0)))
(setq a (+ 1a )))
(command "line" pa pb"");;;绘制螺管素线。
(command "line" pc pd"") ;;;绘制螺管素线。
(SETQ Paa (polar pp (/ PI 2.0) tt))
(setq la(* dd1 pi))
(setq lb(* dd pi))
(setq a (sqrt(+(* tt tt) (* la la))))
(setq b (sqrt(+(* tt tt) (* lb lb))))
(setq c(/ (- dd dd1) 2))
(setq rr1(/ (* a c) (- b a)))
(setq rr2(+ rr1 c))
(command "circle"cen rr1)
(command "circle" cen rr2)
(command "LAYER" "S""0""");;;根据你所设的图层,“将0改为你所需的中心线表示层。
(command "line" pp paa"")

(setvar "osmode"os)   ;;;恢复保存过的系统变量osnap的值。
(princ)   ;;;退出程序。
)


回复

使用道具 举报

wjhongshanxi 发表于 2022-6-30 16:13:01
他这个就可以画成这样的

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?立即注册

x
回复

使用道具 举报

wjhongshanxi 发表于 2022-6-30 16:18:30
qq123820859 楼主做得太麻烦,有扫掠何必不用
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ| Archiver|手机版|小黑屋| 碧波制图网

Copyright © 2021 碧波液压   All Rights Reserved.

Powered by Kangli Wu X3.4( 苏ICP备18011607号-1 )

快速
回复
返回
列表
返回
顶部